PUT
/api/v1/block_storage/{block_id}/restore/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/restore/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "iops": 3750, "name": "Block_Storage_191", "snapshot_id": 0, "vm_id": 100157}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/restore/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "iops": 3750, "name": "Block_Storage_191", "snapshot_id": 0, "vm_id": 100157, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/restore/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "iops": 3750, "name": "Block_Storage_191", "snapshot_id": 0, "vm_id": 100157 }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”block_id
required
string
Block ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
iops
required
Input/output operations per second for the block storage.
integer
Example
3750name
required
Name of the block storage.
string
Example
Block_Storage_191snapshot_id
required
ID of the snapshot used for the block storage. 0 indicates no snapshot.
integer
Example
0vm_id
required
ID of the virtual machine to which the block storage is attached.
integer
Example
100157Responses
Section titled “Responses”Successful response indicating that the block storage snapshot restore is in process.
Media typeapplication/json
object
code
integer
data
object
key
additional properties
any
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Block Storage Snapshot Restore in Process."}